Activity log for bug #1542457

Date Who What changed Old value New value Message
2016-02-05 19:45:56 Kamal Mostafa bug added bug
2016-02-05 19:45:58 Kamal Mostafa tags kernel-stable-tracking-bug
2016-02-05 19:46:00 Kamal Mostafa bug added subscriber SRU Verification
2016-02-05 19:46:02 Kamal Mostafa bug added subscriber Ubuntu Stable Release Updates Team
2016-02-05 19:46:05 Kamal Mostafa nominated for series Ubuntu Vivid
2016-02-05 19:46:06 Kamal Mostafa bug task added linux (Ubuntu Vivid)
2016-02-05 21:34:22 Kamal Mostafa description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The v3.19.8-ckt14 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://kernel.ubuntu.com/ubuntu/linux.git TEST CASE: TBD The following patches from the v3.19.8-ckt14 stable release shall be applied: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The v3.19.8-ckt14 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://kernel.ubuntu.com/ubuntu/linux.git     TEST CASE: TBD        The following patches from the v3.19.8-ckt14 stable release shall be applied: Linux 3.19.8-ckt14 xen-netfront: update num_queues to real created xen-netfront: respect user provided max_queues xen-netback: respect user provided max_queues sctp: Prevent soft lockup when sctp_accept() is called during a timeout event team: Replace rcu_read_lock with a mutex in team_vlan_rx_kill_vid batman-adv: Drop immediate orig_node free function batman-adv: Drop immediate batadv_hard_iface free function batman-adv: Drop immediate neigh_ifinfo free function batman-adv: Drop immediate batadv_neigh_node free function batman-adv: Drop immediate batadv_orig_ifinfo free function batman-adv: Avoid recursive call_rcu for batadv_nc_node batman-adv: Avoid recursive call_rcu for batadv_bla_claim bridge: fix lockdep addr_list_lock false positive splat ipv6: update skb->csum when CE mark is propagated net: bpf: reject invalid shifts phonet: properly unshare skbs in phonet_rcv() bonding: Prevent IPv6 link local address on enslaved devices net: preserve IP control block during GSO segmentation udp: disallow UFO for sockets with SO_NO_CHECK option tcp_yeah: don't set ssthresh below 2 net: sctp: prevent writes to cookie_hmac_alg from accessing invalid memory vxlan: fix test which detect duplicate vxlan iface bridge: Only call /sbin/bridge-stp for the initial network namespace unix: properly account for FDs passed over unix sockets connector: bump skb->users before callback invocation sctp: sctp should release assoc when sctp_make_abort_user return NULL in sctp_close net: cdc_ncm: avoid changing RX/TX buffers on MTU changes veth: don’t modify ip_summed; doing so treats packets with bad checksums as good. net/mlx4: Remove unused macro IB/mlx4: Initialize hop_limit when creating address handle mmc: debugfs: correct wrong voltage value ARM: dts: armadillo800eva Correct extal1 frequency to 24 MHz printk: help pr_debug and pr_devel to optimize out arguments btrfs: initialize the seq counter in struct btrfs_device Btrfs: clean up an error code in btrfs_init_space_info() vmstat: make vmstat_updater deferrable again and shut down on idle net: tcp_memcontrol: properly detect ancestor socket pressure mmc: sd: limit SD card power limit according to cards capabilities kbuild: Demote 'sign-compare' warning to W=2 um: Fix build error and kconfig for i386 m68k/atari, m68k/sun3: Fix SCSI platform device registration when driver is modular target: Fix a memory leak in target_dev_lba_map_store() firmware: actually return NULL on failed request_firmware_nowait() power: test_power: correctly handle empty writes perf/x86: Fix filter_events() bug with event mappings kconfig: return 'false' instead of 'no' in bool function sysrq: Fix warning in sysrq generated crash. x86/LDT: Print the real LDT base address mmc: sdhci: restore behavior when setting VDD via external regulator pinctrl: bcm2835: Fix memory leak in error path ALSA: fm801: propagate TUNER_ONLY bit when autodetected mtd: nand: denali: add missing nand_release() call in denali_remove() Revert "ACPI / LPSS: allow to use specific PM domain during ->probe()" mtd: nand: fix ONFI parameter page layout ath9k_htc: check for underflow in ath9k_htc_rx_msg() ASoC: Intel: pass correct parameter in sst_alloc_stream_mrfld() clk: st: avoid uninitialized variable use clk: xgene: Fix divider with non-zero shift value SCSI: initio: remove duplicate module device table [media] rc: allow rc modules to be loaded if rc-main is not a module drm/i915: On fb alloc failure, unref gem object where it gets refed ideapad-laptop: Add Lenovo Yoga 700 to no_hw_rfkill dmi list MAINTAINERS: return arch/sh to maintained state, with new maintainers ocfs2: NFS hangs in __ocfs2_cluster_lock due to race with ocfs2_unblock_lock ALSA: timer: Handle disconnection more safely ALSA: hda - Flush the pending probe work at remove iscsi-target: Fix potential dead-lock during node acl delete ideapad-laptop: Add Lenovo ideapad Y700-17ISK to no_hw_rfkill dmi list IB/qib: Support creating qps with GFP_NOIO flag IB/qib: fix mcast detach when qp not attached crypto: crc32c - Fix crc32c soft dependency crypto: algif_skcipher - Load TX SG list after waiting xfs: log mount failures don't wait for buffers to be released ARM: debug-ll: fix BCM63xx entry for multiplatform ALSA: control: Avoid kernel warnings from tlv ioctl with numid 0 ALSA: seq: Fix snd_seq_call_port_info_ioctl in compat mode ALSA: pcm: Fix snd_pcm_hw_params struct copy in compat mode ALSA: hrtimer: Fix stall by hrtimer_cancel() crypto: af_alg - Forbid bind(2) when nokey child sockets are present crypto: af_alg - Allow af_af_alg_release_parent to be called on nokey path crypto: hash - Add crypto_ahash_has_setkey crypto: af_alg - Add nokey compatibility path crypto: af_alg - Fix socket double-free when accept fails crypto: af_alg - Disallow bind/setkey/... after accept(2) ALSA: hda - Fix bass pin fixup for ASUS N550JX printk: do cond_resched() between lines while outputting to consoles kernel/panic.c: turn off locks debug before releasing console lock panic: release stale console lock to always get the logbuf printed out memcg: only free spare array when readers are done mm: soft-offline: check return value in second __get_any_page() call zram: try vmalloc() after kmalloc() zram/zcomp: use GFP_NOIO to allocate streams ALSA: timer: Harden slave timer list handling ocfs2/dlm: ignore cleaning the migration mle that is inuse scripts/bloat-o-meter: fix python3 syntax error dma-debug: switch check from _text to _stext m32r: fix m32104ut_defconfig build fail cifs_dbg() outputs an uninitialized buffer in cifs_readdir() cifs: fix race between call_async() and reconnect() cifs: Ratelimit kernel log messages sparc64: fix incorrect sign extension in sys_sparc64_personality ALSA: timer: Fix race among timer ioctls mmc: mmci: fix an ages old detection error dmaengine: dw: fix cyclic transfer callbacks dmaengine: dw: fix cyclic transfer setup ALSA: timer: Fix double unlink of active_list x86/mm: Improve switch_mm() barrier comments drm/i915: intel_hpd_init(): Fix suspend/resume reprobing ALSA: usb-audio: Fix mixer ctl regression of Native Instrument devices ALSA: hda - fix the headset mic detection problem for a Dell laptop powerpc/module: Handle R_PPC64_ENTRY relocations scripts/recordmcount.pl: support data in text section on powerpc parisc: Fix __ARCH_SI_PREAMBLE_SIZE virtio_balloon: fix race between migration and ballooning virtio_balloon: fix race by fill and leak ALSA: seq: Fix race at timer setup and close ALSA: seq: Fix missing NULL check at remove_events ioctl x86/reboot/quirks: Add iMac10,1 to pci_reboot_dmi_table[] Input: elantech - mark protocols v2 and v3 as semi-mt clocksource/drivers/vt8500: Increase the minimum delta xfs: handle dquot buffer readahead in log recovery correctly xfs: inode recovery readahead can race with inode buffer creation s390: fix normalization bug in exception table sorting x86/boot: Double BOOT_HEAP_SIZE to 64KB x86/mm: Add barriers and document switch_mm()-vs-flush synchronization ALSA: hda - Fixup inverted internal mic for Lenovo E50-80 ALSA: usb: Add native DSD support for Oppo HA-1 drm/nouveau/kms: take mode_config mutex in connector hotplug path uml: flush stdout before forking uml: fix hostfs mknod() dm snapshot: fix hung bios when copy error occurs ASoC: compress: Fix compress device direction check locks: fix unlock when fcntl_setlk races with a close iwlwifi: update and fix 7265 series PCI IDs PCI: host: Mark PCIe/PCI (MSI) IRQ cascade handlers as IRQF_NO_THREAD PCI: Fix minimum allocation address overwrite drm/dp/mst: fix in RAD element access drm/dp/mst: fix in MSTB RAD initialization drm/dp/mst: always send reply for UP request drm/dp/mst: process broadcast messages correctly udf: Check output buffer length when converting name to CS0 udf: Prevent buffer overrun with multi-byte characters x86/xen: don't reset vcpu_info on a cancelled suspend libxfs: pack the agfl header structure so XFS_AGFL_SIZE is correct Input: i8042 - add Fujitsu Lifebook U745 to the nomux list wlcore/wl12xx: spi: fix NULL pointer dereference (Oops) bcache: Change refill_dirty() to always scan entire disk if necessary bcache: allows use of register in udev to avoid "device_busy" error. bcache: unregister reboot notifier if bcache fails to unregister device bcache: fix a leak in bch_cached_dev_run() bcache: clear BCACHE_DEV_UNLINK_DONE flag when attaching a backing device bcache: Add a cond_resched() call to gc bcache: fix a livelock when we cause a huge number of cache misses rtlwifi: rtl_pci: Fix kernel panic NFS: Fix attribute cache revalidation rtlwifi: rtl8192cu: Add missing parameter setup rtlwifi: rtl8192ce: Fix handling of module parameters rtlwifi: rtl8192se: Fix module parameter initialization rtlwifi: rtl8192de: Fix incorrect module parameter descriptions rtlwifi: rtl8188ee: Fix module parameter initialization rtlwifi: rtl8821ae: Fix errors in parameter initialization rtlwifi: rtl8723ae: Fix initialization of module parameters rtlwifi: rtl8723be: Fix module parameter initialization posix-clock: Fix return code on the poll method's error path Thermal: do thermal zone update after a cooling device registered Thermal: handle thermal zone device properly during system sleep Thermal: initialize thermal zone device correctly NFS: Ensure we revalidate attributes before using execute_ok() NFSv4: Don't perform cached access checks before we've OPENed the file USB: cp210x: add ID for ELV Marble Sound Board 1 nfs: Fix race in __update_open_stateid() [media] rc: sunxi-cir: Initialize the spinlock properly udf: limit the maximum number of indirect extents in a row mmc: sdhci: Fix sdhci_runtime_pm_bus_on/off() mmc: sdhci: Fix DMA descriptor with zero data length mmc: sdio: Fix invalid vdd in voltage switch power cycle drm/radeon: clean up fujitsu quirks drm/radeon: Fix off-by-one errors in radeon_vm_bo_set_addr arm64: kernel: enforce pmuserenr_el0 initialization and restore arm64: mdscr_el1: avoid exposing DCC to userspace futex: Drop refcount if requeue_pi() acquired the rtmutex dm thin: fix race condition when destroying thin pool workqueue dm space map metadata: remove unused variable in brb_pop() powerpc: Make {cmp}xchg* and their atomic_ versions fully ordered powerpc: Make value-returning atomics fully ordered arm64: mm: ensure that the zero page is visible to the page table walker EDAC: Robustify workqueues destruction EDAC, mc_sysfs: Fix freeing bus' name ovl: check dentry positiveness in ovl_cleanup_whiteouts() wlcore/wl12xx: spi: fix oops on firmware load rtlwifi: fix memory leak for USB device Bluetooth: Add support of Toshiba Broadcom based devices ovl: root: copy attr time: Avoid signed overflow in timekeeping_get_ns() arm64: Clear out any singlestep state on a ptrace detach operation xhci: refuse loading if nousb is used drm/radeon: call hpd_irq_event on resume KVM: x86: correctly print #AC in traces KVM: x86: expose MSR_TSC_AUX to userspace tools lib traceevent: Fix output of %llu for 64 bit values read on 32 bit machines [media] media: dvb-core: Don't force CAN_INVERSION_AUTO in oneshot mode [media] gspca: ov534/topro: prevent a division by 0 [media] vb2: fix a regression in poll() behavior for output,streams ovl: use a minimal buffer in ovl_copy_xattr ovl: allow zero size xattr drm/nouveau/nv46: Change mc subdev oclass from nv44 to nv4c net: ipmr: fix static mfc/dev leaks on table destruction
2016-02-17 15:30:09 Andy Whitcroft linux (Ubuntu Vivid): status New Fix Committed
2016-02-25 17:22:25 Launchpad Janitor branch linked lp:ubuntu/trusty-proposed/linux-lts-vivid
2016-03-14 14:01:42 Launchpad Janitor linux (Ubuntu Vivid): status Fix Committed Fix Released
2016-03-14 14:01:42 Launchpad Janitor cve linked 2016-2384